Upload a document

Adding document to document folder

post
Authorizations
x-api-keystringRequired
Path parameters
documentFolderIdstringRequired
Body
filestring · binaryOptional
Responses
chevron-right
200

Document uploaded successfully

No content

post
/services/document-folders/{documentFolderId}/documents
200

Document uploaded successfully

No content

To add a document to an existing folder a signature initiator needs to upload it. If request is successful, the documentId is returned as a response.

documentFolderId string · uuid The id of the folder that we want to use for adding the document. It is retrieved from Create Folder request. This parameter is placed in the path of the request endpoint to navigate to the right resource location.

file string · binary The document that we want to upload for signing purposes. It should be in PDF format and must not exceed 25 MB in size. Furthermore the name of the document should not be repeated within a folder.

Last updated